Bug 854003

Summary: Protect rhpkg's --arches argument
Product: [Fedora] Fedora Reporter: Marcelo Ricardo Leitner <mleitner>
Component: rpkgAssignee: Pavol Babinčák <pbabinca>
Status: CLOSED ERRATA QA Contact: Fedora Extras Quality Assurance <extras-qa>
Severity: medium Docs Contact:
Priority: medium    
Version: rawhideCC: dennis
Target Milestone: ---   
Target Release: ---   
Hardware: All   
OS: All   
Whiteboard:
Fixed In Version: fedpkg-1.18-1.el6 Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2014-06-12 08:49:38 UTC Type: Bug
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Description Marcelo Ricardo Leitner 2012-09-03 14:27:02 UTC
Description of problem:
I was just hit by specifying --arches x86_64,noarch  , as it is often used in other places. It went through, but only after it built the src.rpm I got informed that "no arches were found".

Version-Release number of selected component (if applicable):
rhpkg-1.14-1.fc16.noarch

How reproducible:
always

Steps to Reproduce:
1.rhpkg scratch-build --arches x86_64,noarch
2.
3.
  
Actual results:
It fails a long time after.

Expected results:
An immediate error.

Additional info:
If we don't wan't to keep a list of supported arches, maybe just starting by blocking arch names with a comma on it. It would have helped already.

Comment 1 Pavol Babinčák 2013-12-19 12:23:10 UTC
This issue is in rhpkg's library so it affects fedpkg as well.

Comment 2 Fedora Update System 2014-07-30 11:55:55 UTC
fedpkg-1.18-1.fc19,rpkg-1.26-1.fc19 has been submitted as an update for Fedora 19.
https://admin.fedoraproject.org/updates/fedpkg-1.18-1.fc19,rpkg-1.26-1.fc19

Comment 3 Fedora Update System 2014-07-30 12:01:00 UTC
fedpkg-1.18-1.fc20,rpkg-1.26-1.fc20 has been submitted as an update for Fedora 20.
https://admin.fedoraproject.org/updates/fedpkg-1.18-1.fc20,rpkg-1.26-1.fc20

Comment 4 Fedora Update System 2014-07-30 12:20:12 UTC
fedpkg-1.18-1.el6,rpkg-1.26-1.el6 has been submitted as an update for Fedora EPEL 6.
https://admin.fedoraproject.org/updates/fedpkg-1.18-1.el6,rpkg-1.26-1.el6

Comment 5 Fedora Update System 2014-08-08 08:40:15 UTC
fedpkg-1.18-1.fc20, rpkg-1.26-1.fc20 has been pushed to the Fedora 20 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 6 Fedora Update System 2014-08-15 02:54:54 UTC
fedpkg-1.18-1.fc19, rpkg-1.26-1.fc19 has been pushed to the Fedora 19 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 7 Fedora Update System 2014-08-15 18:59:37 UTC
fedpkg-1.18-1.el6, rpkg-1.26-1.el6 has been pushed to the Fedora EPEL 6 stable repository.  If problems still persist, please make note of it in this bug report.